tableClass {maigesPack} | R Documentation

## Save HTML or CSV tables of good classifiers (cliques)

### Description

This function takes an object of class `maigesClass` resulting from classification analysis and write tables (in HTML or CSV format) a table of the cliques, or classifiers.

### Usage

    tableClass(classComp=NULL, file="./class_result",
               type=c("HTML","CSV")[1], nCliques=NULL)

### Arguments

`classComp` | object of class `maigesClass`.
`file` | character string giving the file name to be saved (without extension).
`type` | character string with the type of file to be saved. Must be 'HTML' (default) or 'CSV'.
`nCliques` | integer specifying the number of cliques to be saved. If NULL (default) all cliques in the object are saved.

### Value

This function don't return any object.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`maigesClass`, `classifyLDA`, `classifySVM`, `classifyKNN`, `classifyLDAsc`, `classifySVMsc` and `classifyKNNsc`.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Doing LDA classifier with 3 genes for the 6th gene group comparing
    ## the 2 categories from 'Type' sample label.
    gastro.class = classifyLDA(gastro.summ, sLabelID="Type",
      gNameID="GeneName", nGenes=3, geneGrp=6)

    tableClass(gastro.class)

[Package maigesPack version 1.4.0 Index]